####################################################################
launchdelegate_launching=Launching {0}...
launchdelegate_verifying_attrs="Verifying launch attributes..."
launchdelegate_no_debug=JRE {0} does not support debug
launchdelegate_no_run=JRE {0} does not support run
launchdelegate_source_locator=Creating source locator...

####################################################################
debugvmrunner_debug_target_string={0} at localhost {1}
debugvmrunner_process_label_string={0} ({1})
debugvmrunner_launching_vm=Launching virtual machine...
debugvmrunner_finding_free_socket=Finding free socket...
debugvmrunner_no_free_socket=Unable to find a free socket
debugvmrunner_constructing_cmd_line=Constructing command line...
debugvmrunner_starting_VM=Starting virtual machine...
debugvmrunner_no_connector=No matching debug connector found
debugvmrunner_establishing_debug_conn=Establishing debugger connection...
debugvmrunner_couldnt_connect_to_vm=Couldn't connect to virtual machine
debugvmrunner_unable_to_locate_exe=Unable to locate Java executable
debugvmrunner_exe_doesnt_exist=Java executable does not exist
debugvmrunner_workingdir_not_dir=Specified working directory is not a directory

####################################################################
MTJBuildProperties_invalidMethodCall=This method must not be called.
MTJBuildProperties_invalidMTJProject=Invalid MTJ Project.
MTJBuildProperties_mtjBuildPropertiesComment=\# MTJ Build Properties
MTJProjectConverter_convert_taskname=Migrating EclipseME Project...
MTJProjectConverter_convertProject_convertion_error=Error During Conversion
MTJProjectConverter_convertProject_device_unavailable=No Device Available. Please convert project to MIDlet project manually.
MTJProjectConverter_modifyMetadata_exception=Read ElclipseME MetaData failed , will delete it
MTJProjectConverter_modifyMetadata_taskname=Migrating meta data
MTJProjectConverter_removeBuilderAndNature_taskname=Removing EclipseME builder commands and natures
MTJProjectConverter_renameEclipseMETmpFolder_taskname=Deleting .eclipse.tmp folder
MTJProjectConverter_renamePreferenceStoreFile_taskname=Renaming EclipseME preference file

####################################################################
MidletSuiteProject_device_not_available=No device definition is associated to this project.
MidletSuiteProject_preverifier_missing_default=A default preverifier was not specified
MidletSuiteProject_preverifier_missing_device=No such device

####################################################################
AbstractJavaTool_delegateNotAvailable=No launch delegate found - launch canceled
AntennaBuildExporter_Antennalibrary_not_found=Antenna library not found or not valid.\nCheck the preference settings.
AntennaBuildExporter_buildProperties_comment=\ MTJ Build Properties - DO NOT ALTER THIS FILE - Make changes in user-build.properties
AntennaBuildExporter_file_is_invalid=Error testing Antenna settings
AntennaBuildExporter_template_notfound=build.xml template not found
AntennaBuildExporter_unresolved_classpath=Skipping unresolved classpath entry 
AntennaBuildExporter_warning_comment=\n\tAutomatically generated by MTJ on {0}\n\tDO NOT ALTER THIS FILE.  IT WILL BE OVERWRITTEN\n\n\tChanges may be made to build.xml and user-build.properties\n
AntennaBuildExporter_WTK_not_found=Wireless Toolkit not found.\nCheck the platform definition settings.

####################################################################
BuildLoggingConfiguration_unknown_configuration_error=Unknown logging configuration : {0}
DefaultKeyStoreManager_22=Unknown Error
DefaultKeyStoreManager_certificateInfoFormat=Date: {0}, Certificate Fingerprint (MD5): {1}
DefaultKeyStoreManager_InvalidKeyPassword=Invalid key pair password.
DefaultKeyStoreManager_invalidKeystoreFile=KeyStore file is not a file.
DefaultKeyStoreManager_invalidKsPassword=Invalid keystore password.
DefaultKeyStoreManager_keyStoreNotNull=KeyStore file can not be null.
DefaultKeyStoreManager_keystorePasswordEmpty=Keystore password can not be empty.
DefaultKeyStoreManager_keystorePasswordNotNull=KeyStore password can not be null.
DefaultKeyStoreManager_unableToAccessKeystoreContent=Unable to access keystore content: {0}.
DefaultKeyStoreManager_unableToCreateMD5Fingerprint=Unable to create MD5 fingerprint: {0}.
DefaultKeyStoreManager_unableToGetEncodedCertificate=Unable to get encoded certificate: {0}.
DefaultKeyStoreManager_unableToOpenKeystore=Unable to open KeyStore: {0}
DeviceFinder_0=Could not load the device importers.
DeviceFinder_1=Searching For Devices
DeviceFinder_2=Searching for devices in {0}
DeviceFinder_3=Read access to "{0}" was denied
EmulatorRunner_4=Listening Connector
EmulatorRunner_6=Debugger launch time-out exceeded

####################################################################
OffsetedStackTraceParser_getClassNode_unableToFindClassFile=Unable to find class file for class: {0}.
OffsetedStackTraceParser_getClassNode_unableToRealizeMethodNode=Unable to realize method node.
OffsetedStackTraceParser_getClassNode_unableToRealizeMidletSuiteProject=Unable to resolve MIDlet suite project for project: {0}.
OffsetedStackTraceParser_getClassNode_unableToRealizeTargetMethod=Unable to realize target method.
OffsetedStackTraceParser_getClassNode_verifiedFolderDoesNotExist=Verified folder does not exist.
SignatureUtils_noAliasSelected=No alias selected for singning, please select one on the Application Descriptor Editor.
SignatureUtils_noKeystoreConfigured=No keystore configured for signing, please setup signing settings.
SignatureUtils_passwordDialogTitle=Need signing passwords
StackTraceParser_getStackBaseMethod_method_not_found=Class {0} does not have a method called {1}.

####################################################################
LibraryImporterRegistry_0=Could not include the {0} LibraryImporter into the registry
LibraryImporterRegistry_1=Could not retrieve the {0} LibraryImporter from the registry

####################################################################
# Errors
####################################################################
error_midp_prefs_not_set=J2ME MIDP Preferences are not valid
JavaEmulatorDeviceImporter_0=Error loading device properties
JavaMEClasspathContainerInitializer_Could_not_load_JavaMEClasspath=Could not load JavaMEClasspath, device {0}/{1} not found.
KeyChainSet_noAliasSelected=No private key alias selected.

####################################################################
#
#	This section of the file contains error messages.
#	The error codes themselves are defined in MTJCoreErrors
#	Errors are looked up using the key "MTJCoreError.<errnum>"
#
####################################################################

MTJCore_MigrationJob_title=MTJ Migration
MTJCore_no_message=No Message
MTJCore_no_message2=[No Message]
MTJCore_OK_STATUS_msg=OK
MTJCoreError_Default: Error number {0}
MTJCoreError_10001: Keystore is corrupt, or the incorrect keystore password was provided.
MTJCoreError_10002: The specified keystore type is not available.\nThis usually indicates a missing or misconfigured cryptographic provider.
MTJCoreError_10003: The specified cryptographic provider has not been configured into the JRE.
MTJCoreError_10004: The keystore integrity algorithm specified in the keystore could not be found.\nThis usually indicates a missing or misconfigured cryptographic provider.
MTJCoreError_10005: Unable to load one or more certificates from the keystore.\nThis usually indicates a missing or misconfigured cryptographic provider.
MTJCoreError_10006: Unable to load the key.\nThis usually indicates that the key alias is incorrect.
MTJCoreError_10007: The key password provided was incorrect.
MTJCoreError_10008: The key corresponding to the specified alias is not a private key.
MTJCoreError_10009: One or more of the certificates corresponding to the specified alias is not an X509 certificate.
MTJCoreError_10010: There were no certificates associated with the key alias that was provided.
MTJCoreError_10011: The cryptographic provider rejected the key as being invalid.
MTJCoreError_10012: The cryptographic provider indicated that a required algorithm was missing.\nThis usually indicates a missing or misconfigured cryptographic provider.
MTJCoreError_10013: A signature exception was generated.\nThis usually indicates a missing or misconfigured cryptographic provider.
MTJCoreError_10014: The certificate could not be encoded.\nThis usually indicates a missing or misconfigured cryptographic provider.

####################################################################
#
#	This section of the file contains other strings associated with
#	error processing.
#
####################################################################

MTJCoreError_InternalTemplate: Internal Error {0,number,0}
PreferencesSignatureProperties_unableToLoadPropertiesFromPreferences=Unable to load properties from secure preferences.
PreprocessorBuilder_cleaningProcessedFolder=Cleaning {0} folder
PreprocessorBuilder_collectingSources=Collecting sources.
PreprocessorBuilder_preprocessingSourceFiles=Preprocessing java source files.
PreprocessorBuilder_preprocessingSources=Preprocessing sources.
PreverificationErrorLocationType_Class_declaration=Class declaration
PreverificationErrorLocationType_Class_field=Class field
PreverificationErrorLocationType_Method_definition=Method definition
PreverificationErrorLocationType_Method_field=Method field
PreverificationErrorLocationType_Method_instruction=Method instruction
PreverificationErrorLocationType_Unknown_location=Unknown location
PreverificationErrorType_finalizers=Finalizers not allowed
PreverificationErrorType_float=Floating point not allowed
PreverificationErrorType_miss_class_def=Missing class definition
PreverificationErrorType_native=Native code not allowed
PreverificationErrorType_no_error=No error
PreverificationErrorType_unknown=Unknown error
SymbolDefinitionSetRegistry_addDefinitionSet_no_name_exception=Definition must have a name specified.

####################################################################
Utils_commandLine=Command line: 
Utils_commandLine_not_found=Command line not found
Utils_xml_parse_error=Unable to parse XML file. It might be corrupted.

####################################################################
XMLPersistenceProvider_0=Could not persist element. See stackTrace for more information.
XMLPersistenceProvider_1=Could not persist element.
XMLPersistenceProvider_8=Could not retrieve a valid ID for the {0} persistence element. An random ID will be assigned to this element.
